Get Search Queries

Get Search Queries

Returns information on the search queries by anonymous or a specific user.

Path Parameters
  • user-login
    string
    required

    The login of the user to get search queries for. Use - instead of the login to get the data for anonymous users.

    Examplepr1
Query Parameters
  • startDate
    string
    required

    Start date for the report period.

    Example2022-11-07T15:25:00
  • endDate
    string
    required

    End date for the report period.

    Example2022-11-07T15:30:00
  • projectId
    string

    Filter by project ID.

    Exampledeep-space-exploration-publication
Responses
GET/reports/user-events/{user-login}/search-queries
curl --location -g --request GET 'https://{portal-url}/api/v2/reports/user-events/pr1/search-queries?startDate=2022-08-09T02:35:00&endDate=2022-12-31T02:35:00&projectId=project-deep-space-exploration' \
--header 'Authorization: Basic <base64-encoded-credentials>'

[
  [
    {
      "dateTime": "2022-11-07T15:25:34",
      "queryText": "click",
      "resultsTotal": 5,
      "projectId": "deep-space-exploration-publication"
    },
    {
      "dateTime": "2022-11-07T15:25:27",
      "queryText": "nebula",
      "resultsTotal": 0,
      "projectId": "deep-space-exploration-publication"
    },
    {
      "dateTime": "2022-11-07T15:25:22",
      "queryText": "some",
      "resultsTotal": 0,
      "projectId": "deep-space-exploration-publication"
    }
  ]
]